Subject: produce quotes

From: [email-masked] (PLUM MATER)
Date: 5 Nov 1995 11:13:39 -0500

I"m looking for daily quotes from Calif. to Fla. lettuce , tomatoes
,onions , ect .                                                        
Thank you                                                                 
                                        Eldreth Fruit Co,                 
                                                                          
        Plum Tomato